/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2022/8/24
 */
package org.springblade.modules.business.warning.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.business.warning.entity.RtuWarningInfoEntity;
import org.springblade.modules.business.warning.vo.RtuWarningInfoVO;

import java.util.Objects;

/***
 * Date:2022/8/24
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public class RtuWarningWrapper extends BaseEntityWrapper<RtuWarningInfoEntity, RtuWarningInfoVO> {
	public static RtuWarningWrapper build() {
		return new RtuWarningWrapper();
	}

	@Override
	public RtuWarningInfoVO entityVO(RtuWarningInfoEntity entity) {
		RtuWarningInfoVO rtuWarningInfoVO = Objects.requireNonNull(BeanUtil.copy(entity, RtuWarningInfoVO.class));
		return rtuWarningInfoVO;
	}
}
